Bug 32417 - 'last -i' shows incorrect IP when entree created by wu-ftpd
'last -i' shows incorrect IP when entree created by wu-ftpd
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-20 13:23 EST by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-19 08:30:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-20 13:23:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)


'last -i' shows incorrect IP when entree created by wu-ftpd.
'last' shows correct name for same entries.

Reproducible: Always
Steps to Reproduce:
1.ftp to server from remote host (which resolvs both ways)
2.'last -5' shows correct name
3.'last -i -5' shows incorrect ip for same entries
	

Actual Results:  
last -2
timmons  ftpd10432    xtian.cdec.polym Tue Mar 20 13:09 - 13:09  (00:00)    
timmons  pts/7        xtian.cdec.polym Tue Mar 20 13:07 - 13:09  (00:01)    

last -i -2
timmons  ftpd10432    16.105.105.13    Tue Mar 20 13:09 - 13:09  (00:00)    
timmons  pts/7        132.207.4.5      Tue Mar 20 13:07 - 13:09  (00:01)    


Expected Results:  
timmons  ftpd10432    132.207.4.5      Tue Mar 20 13:09 - 13:09  (00:00)    
timmons  pts/7        132.207.4.5      Tue Mar 20 13:07 - 13:09  (00:01)
Comment 1 Need Real Name 2001-03-20 13:24:54 EST
Always same IP no matter where the connection comes from.
Comment 2 Need Real Name 2001-03-20 13:33:21 EST
220 tim.secur.polymtl.ca FTP server (Version wu-2.6.1(1) Wed Aug 9 05:54:50 EDT
2000) ready.
Comment 3 Bill Nottingham 2001-03-20 14:11:59 EST
The data in that file is actually just the IP address; the hostname
lookup is done in last itself. So that is the correct data.
Comment 4 Bill Nottingham 2001-03-20 14:15:07 EST
Oops, wait, nevermind. It does store the hostname.
Comment 5 Bill Nottingham 2001-03-20 14:25:30 EST
and also the IP in separate fields. I think wu-ftpd might be storing
something odd in this field.
Comment 6 David Lawrence 2001-03-20 14:46:04 EST
I have verified this to be true with the latest wu-ftpd. Here is my two
differing outputs

last:

dkl      ftpd6985     mrhanky.devel.re Tue Mar 20 13:48 - 13:48  (00:00)    
ftp      ftpd6984     mrhanky.devel.re Tue Mar 20 13:48 - 13:48  (00:00)    
ftp      ftpd6983     localhost.locald Tue Mar 20 13:47 - 13:49  (00:01)    
dkl      ftpd6979     localhost.locald Tue Mar 20 13:46 - 13:47  (00:00)

last -i:

dkl      ftpd6985     16.105.105.13    Tue Mar 20 13:48 - 13:48  (00:00)    
ftp      ftpd6984     16.105.105.13    Tue Mar 20 13:48 - 13:48  (00:00)    
ftp      ftpd6983     16.105.105.13    Tue Mar 20 13:47 - 13:49  (00:01)    
dkl      ftpd6979     16.105.105.13    Tue Mar 20 13:46 - 13:47  (00:00)
Comment 7 Thomas Woerner 2004-02-19 08:30:16 EST
Please use vsftpd, wu-ftpd is not maintained anymore.

Note You need to log in before you can comment on or make changes to this bug.